Munin::Node::SpoolWriter(3)

NAME
Munin::Node::SpoolWriter - Writing side of the spool functionality

SYNOPSIS
  my $spool = Munin::Node::SpoolWriter->new(spooldir => $spooldir);
  $spool->write(1234567890, 'cpu', \@results);

METHODS

new(%args)
    Constructor. 'spooldir' key should be the directory Munin::Node::SpoolReader is reading from.

write($timestamp, $service, \@results)
    Takes a timestamp, service name, and the results of running config and fetch on it. Writes it to the spool directory for Munin::Node::SpoolReader to read.

cleanup($timestamp)
    Removes any items in the spool directory older than $timestamp.